package com.bbd.bpm.service;

import com.bbd.bpm.base.PageBean;
import com.bbd.bpm.result.Result;

public interface UserInfoService {
    /**
     * @Author:cwd
     *  @Description:获取组织列表
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    Result getOrganization(PageBean pageBean, Integer id, Integer pId, String name);
    /**
     * @Author:cwd
     * @Description:加载ztree
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    Result getOrganizationList();
    /**
     * @Author:cwd
     * @Description:添加组织
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    Result addOrganization(String name, String abbreviationName, Long pId, Integer id);
    /**
     * @Author:cwd
     * @Description:添加部门人员
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    Result addOrganizationMember(String name, String position, Long pId, Integer id, Integer department, Integer type);
    /**
     * @Author:cwd
     * @Description:获取组织详情
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    Result getOrganizationInfo(Integer id);
    /**
     * @Author:cwd
     * @Description:修改组织
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    Result editOrganization(String name, String abbreviationName, Integer id);
    /**
     * 删除组织及下级
     * @param id
     * @param pId
     * @return
     */
    Result deleteOrganization(Long id, Integer pId);
    /**
     * 获取组织下级部门
     * @param id
     * @param pId
     * @return
     */
    Result getAreaAll(Integer id);

    /**
     * @Author:cwd
     * 获取左侧树
     * @Date: 2019.3.7
     * @return
     */
    Result getMenuList();
}
